import {Dimensions} from 'react-native';

// const baseUrl = __DEV__
//   ? 'http://192.168.0.161/sendput/'
//   : 'http://165.22.1.17/';

const baseUrl = 'http://165.22.1.17/';

export const BaseSetting = {
  name: 'SendPut',
  displayName: 'SendPut',
  appVersion: '0.0.1',
  baseUrl,
  api: baseUrl,
  shareEndPoint: baseUrl,
  nWidth: Dimensions.get('window').width,
  nHeight: Dimensions.get('window').height,

  googleMapAPIKey: 'AIzaSyDbaFVthMNCocMPLU527u7Foc4EP_mTO1w', // Client ID but not autorized
  // googleMapAPIKey: 'AIzaSyBBVuC4zfUbyBoXE7KnKLVyN4miLkEP5DE', // Valid Autorized Key (Ac :- karishma@groovy)

  endpoints: {
    signup: 'v1/user/signup',
    resend_otp: 'v1/user/resend-otp',
    verification: 'v1/user/verification',
    login: 'v1/user/login',
    me_update: 'v1/user/me-update',
    photo: 'v1/user/photo',
    logout: 'v1/user/logout',
    change_password: 'v1/user/change-password',
    order_list: 'v1/driver/order-list',
    order_detail: 'v1/driver/order-detail',
    job_feed: 'v1/driver/job-feed',
    job_handle: 'v1/driver/job-handle',
    faq_list: 'v1/faq/faq-list',
    get_page: 'v1/page/get-page',
    job_status: 'v1/driver/job-status',
    offer_list: 'v1/offer/offer-list',
    category_list: 'v1/category/category-list',
    store_list: '/v1/store/store-list',
    search_store: 'v1/store/search-store',
    contact_us: '/v1/user/contact-us',
    order_review: 'v1/feedback/order-review',
    review_list: '/v1/feedback/review-list',
    sub_category_list: 'v1/category/sub-category-list',
    product_detail: 'v1/product/product-detail',
    add_card: '/v1/payment/add-card',
    card_list: '/v1/payment/card-list',
    add_address: 'v1/address/add-address',
    address_list: 'v1/address/address-list',
    choose_shipping_address: 'v1/address/choose-shipping-address',
    customer_order_details: 'v1/order/customer-order-details',
    customer_order_list: 'v1/order/customer-order-list',
    remove_address: 'v1/address/remove-address',
    update_address: 'v1/address/update-address',
    delete_card: '/v1/payment/delete-card',
    re_Order: 'v1/order/re-order',
    view_offer: 'v1/offer/view-offer',
    notificationList: 'v1/notification/index',
    badge_count: 'v1/notification/badge-count',
    removeAll: 'v1/notification/remove-all',
    remove: 'v1/notification/remove',
    apply_offer_code: 'v1/cart/apply-offer-code',
    send_otp: 'v1/user/send-otp',
    forget_password: 'v1/user/forget-password',
    brand_list: 'v1/brand/brand-list',
    update_order_status: 'v1/order/update-order-status',
    add_store_review: 'v1/store/add-store-review',
    product_list: 'v1/product/product-list',
    store_detail: 'v1/store/store-detail',
    store_review: 'v1/store/store-review',
    create_item_list: 'v1/item/create-item-list',
    item_list: 'v1/item/item-list',
    cart_list: 'v1/cart/cart-list',
    create_order: 'v1/order/create-order',
    add_product: 'v1/item/add-product',
    create_cart: 'v1/cart/create-cart',
    update_cart: 'v1/cart/update-cart',
    Fav_Product_list: 'v1/item/product-list',
    remove_cart: 'v1/cart/remove-cart',
    remove_store: 'v1/cart/remove-store',
  },
};
